<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class ProjectTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('project.title')
            ->translateLabel()
            ->sortable(['project.title'])
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
